Uses of Class
com.eqixiac.equinix.fabric.model.json.creators.ServiceTokenOperator.ServiceTokenUpdater
Packages that use ServiceTokenOperator.ServiceTokenUpdater
Package
Description
Fabric domain client interfaces for the Equinix Java SDK.
-
Uses of ServiceTokenOperator.ServiceTokenUpdater in com.eqixiac.equinix.fabric.client
Methods in com.eqixiac.equinix.fabric.client that return ServiceTokenOperator.ServiceTokenUpdaterModifier and TypeMethodDescriptionBegins a fluent PATCH update of an existing service token, e.g. -
Uses of ServiceTokenOperator.ServiceTokenUpdater in com.eqixiac.equinix.fabric.client.implementation
Methods in com.eqixiac.equinix.fabric.client.implementation that return ServiceTokenOperator.ServiceTokenUpdaterModifier and TypeMethodDescription -
Uses of ServiceTokenOperator.ServiceTokenUpdater in com.eqixiac.equinix.fabric.model.json.creators
Methods in com.eqixiac.equinix.fabric.model.json.creators that return ServiceTokenOperator.ServiceTokenUpdaterModifier and TypeMethodDescriptionServiceTokenOperator.ServiceTokenUpdater.description(String description) ServiceTokenOperator.ServiceTokenUpdater.dryRun()Marks this update as a dry run:ServiceTokenOperator.ServiceTokenUpdater.save()sends the same change-operationsPATCHto/fabric/v4/serviceTokens/{uuid}with thedryRun=truequery parameter — per the Fabric v4 spec, an "option to verify that API calls will succeed".ServiceTokenOperator.ServiceTokenUpdater.expirationDateTime(LocalDateTime expirationDateTime) Replaces the expiration date and time (/expirationDateTime, the path the spec'sServiceTokenChangeOperationexample uses).ServiceTokenOperator.ServiceTokenUpdater.patch(PatchOperation operation) Begins a fluent PATCH update of an existing service token, identified by uuid.